<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="85405ea0-d03d-4119-9536-6f140fe82bbc" name="Default" comment="" />
    <ignored path="ocr_py_demo.iws" />
    <ignored path=".idea/workspace.xml" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="ocr_py_demo" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/HWOcrClientToken.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="15">
              <caret line="179" column="8" selection-start-line="179" selection-start-column="8" selection-end-line="179" selection-end-column="8" />
              <folding>
                <element signature="e#616#629#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/tk.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret column="9121" selection-start-column="9093" selection-end-column="9121" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/apig_sdk/signer.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2250">
              <caret line="154" column="23" selection-start-line="154" selection-start-column="23" selection-end-line="154" selection-end-column="23" />
              <folding>
                <element signature="e#0#10#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/HWOcrClientAKSK.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="285">
              <caret line="22" selection-start-line="22" selection-end-line="22" />
              <folding>
                <element signature="e#616#629#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/OCRDemo.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="440">
              <caret line="51" column="60" lean-forward="true" selection-start-line="51" selection-start-column="60" selection-end-line="51" selection-end-column="60" />
              <folding>
                <element signature="e#618#661#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/requirements.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="9" column="26" lean-forward="true" selection-start-line="9" selection-start-column="26" selection-end-line="9" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/vat-invoice-demo.jpg">
          <provider selected="true" editor-type-id="images" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/vehicle-license-demo.png">
          <provider selected="true" editor-type-id="images" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/id-card-demo.png">
          <provider selected="true" editor-type-id="images" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/mvs-invoice-demo.jpg">
          <provider selected="true" editor-type-id="images" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>C:/Python27/python.exe</find>
      <find>get_token</find>
      <find>repeatRequestToken</find>
      <find>get_token_test</find>
    </findStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$/data</dir>
    </dirStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/hw_ocr_py_aksk_demo.py" />
        <option value="$PROJECT_DIR$/hw_ocr_py_demo.py" />
        <option value="$USER_HOME$/medical/multi_api_test_bingfa.py" />
        <option value="$USER_HOME$/script/image2base64.py" />
        <option value="$USER_HOME$/wentong/python/python.py" />
        <option value="$PROJECT_DIR$/HWOcrClientAKSK.py" />
        <option value="$PROJECT_DIR$/data/tk.txt" />
        <option value="$PROJECT_DIR$/HWOcrClientToken.py" />
        <option value="$PROJECT_DIR$/OCRDemo.py" />
        <option value="$PROJECT_DIR$/requirements.txt" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="237" />
    <option name="y" value="23" />
    <option name="width" value="1191" />
    <option name="height" value="806" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="ocr_py_demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="cloud-python-passport-sdk-ocr-1.0" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ocr_py_demo" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="FullScreen" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="recentsLimit" value="5" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="PyConsoleOptionsProvider">
    <option name="myPythonConsoleState">
      <console-settings module-name="ocr_py_demo" is-module-sdk="true">
        <option name="myUseModuleSdk" value="true" />
        <option name="myModuleName" value="ocr_py_demo" />
      </console-settings>
    </option>
  </component>
  <component name="PyDebuggerOptionsProvider">
    <option name="mySupportQtDebugging" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/data" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.OCRDemo">
    <configuration default="true" type="tests" factoryName="Attests">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs />
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="ocr_py_demo" />
      <option name="SCRIPT_NAME" value="" />
      <option name="CLASS_NAME" value="" />
      <option name="METHOD_NAME" value="" />
      <option name="FOLDER_NAME" value="" />
      <option name="TEST_TYPE" value="TEST_SCRIPT" />
      <option name="PATTERN" value="" />
      <option name="USE_PATTERN" value="false" />
      <method />
    </configuration>
    <configuration name="HWOcrClientToken" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="ocr_py_demo" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/HWOcrClientToken.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="OCRDemo" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="ocr_py_demo" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="C:\Python27\python.exe" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/OCRDemo.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="image2base64" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="ocr_py_demo" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$USER_HOME$/script" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$USER_HOME$/script/image2base64.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="multi_api_test_bingfa" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="ocr_py_demo" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$USER_HOME$/medical" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$USER_HOME$/medical/multi_api_test_bingfa.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="python" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="ocr_py_demo" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$USER_HOME$/wentong/python" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="SCRIPT_NAME" value="$USER_HOME$/wentong/python/python.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Python.HWOcrClientToken" />
      <item itemvalue="Python.OCRDemo" />
      <item itemvalue="Python.image2base64" />
      <item itemvalue="Python.multi_api_test_bingfa" />
      <item itemvalue="Python.python" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.OCRDemo" />
        <item itemvalue="Python.HWOcrClientToken" />
        <item itemvalue="Python.python" />
        <item itemvalue="Python.image2base64" />
        <item itemvalue="Python.multi_api_test_bingfa" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="85405ea0-d03d-4119-9536-6f140fe82bbc" name="Default" comment="" />
      <created>1539067419833</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1539067419833</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="237" y="23" width="1191" height="806" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.23247863" />
      <window_info id="Structure" order="1" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.47521368" weight="0.30452675" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.73504275" weight="0.3251029" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.4957265" weight="0.32921812" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Python Console" order="8" sideWeight="0.4931624" weight="0.32823366" />
      <window_info anchor="bottom" id="Terminal" order="9" sideWeight="0.88974357" visible="true" weight="0.35714287" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.11025641" side_tool="true" weight="0.35335195" />
      <window_info anchor="bottom" id="Application Servers" order="11" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="Vcs.Log.UiProperties">
    <option name="RECENTLY_FILTERED_USER_GROUPS">
      <collection />
    </option>
    <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
      <collection />
    </option>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/apig_sdk/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$APPLICATION_HOME_DIR$/helpers/typeshed/stdlib/3/typing.pyi">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="226">
          <caret line="349" column="13" lean-forward="true" selection-start-line="349" selection-start-column="13" selection-end-line="349" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/customs-form-en-demo.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/handwriting-demo.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/driver-license-demo.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/general-table-demo.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/tk.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="9121" selection-start-column="9093" selection-end-column="9121" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/apig_sdk/signer.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2250">
          <caret line="154" column="23" selection-start-line="154" selection-start-column="23" selection-end-line="154" selection-end-column="23" />
          <folding>
            <element signature="e#0#10#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HWOcrClientAKSK.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
          <folding>
            <element signature="e#616#629#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/vat-invoice-demo.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/vehicle-license-demo.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/id-card-demo.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/data/mvs-invoice-demo.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/HWOcrClientToken.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="179" column="8" selection-start-line="179" selection-start-column="8" selection-end-line="179" selection-end-column="8" />
          <folding>
            <element signature="e#616#629#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/OCRDemo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="51" column="60" lean-forward="true" selection-start-line="51" selection-start-column="60" selection-end-line="51" selection-end-column="60" />
          <folding>
            <element signature="e#618#661#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/requirements.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="26" lean-forward="true" selection-start-line="9" selection-start-column="26" selection-end-line="9" selection-end-column="26" />
        </state>
      </provider>
    </entry>
  </component>
</project>